Menu = {}

function Menu:load()

    showMenu = false
    showItemSelector = false

    itemSelectorPosX,itemSelectorPosY = getCoordsByPercent(50, 50)
    itemSelectorPosX = itemSelectorPosX - 170
    itemSelectorPosY = itemSelectorPosY - 100
    itemMenuPosY = getCoordsByPercentY(50)

    menuBG = love.graphics.newImage("assets/menu/menuBG.png")
    menuBG2 = love.graphics.newImage("assets/menu/menuBG2.png")
    menuBG3 = love.graphics.newImage("assets/menu/menuBG3.png")
    menuBackground = menuBG
    menuSelector = love.graphics.newImage("assets/menu/menuSelector.png")
    itemSelector = love.graphics.newImage("assets/menu/itemSelector.png")
    itemBG = love.graphics.newImage("assets/menu/itemDescriptionBG.png")
    itemActionsBG = love.graphics.newImage("assets/menu/itemMenu.png")    
    itemActionsBG2 = love.graphics.newImage("assets/menu/itemMenu2.png")
    itemMenuSelector = love.graphics.newImage("assets/menu/itemMenuSelector.png")
    charPortrait = love.graphics.newImage("assets/characterPortraits/large/jarrettLG.png")
end

function Menu:draw()
    if showMenu == true then

        invPosX,invPosY = getCoordsByPercent(50, 50)
        invPosX = invPosX - 185
        invPosY = invPosY - 103

        love.graphics.draw(menuBackground, x-410, y-175)
        love.graphics.draw(menuSelector, x-340, menuSelectorPosY)
        love.graphics.setFont(smallfont);

        if mainMenuSelected == 1 then
            menuBackground = menuBG
            --love.graphics.rectangle("fill", getCoordsByPercentX(50)-((ww/100)*75)/2, getCoordsByPercentY(50)-((wh/100)*75)/2, (ww/100)*75, (wh/100)*75 )
            if showItemSelector == true then
                love.graphics.draw(itemSelector, itemSelectorPosX, itemSelectorPosY) 
                love.graphics.draw(itemBG, x+180, y-140)
                if(inventory[itemSelectedPos]~=nil) then                    
                    love.graphics.draw(inventory[itemSelectedPos].imageLarge, x+235, y-70)
                    love.graphics.print(inventory[itemSelectedPos].name, x+210, y+35);
                    if(inventory[itemSelectedPos].attack~=nil) then
                        love.graphics.print("Atk: "..inventory[itemSelectedPos].attack, x+210, y+55);
                    end
                    if(inventory[itemSelectedPos].defense~=nil) then
                        love.graphics.print("Def: "..inventory[itemSelectedPos].defense, x+210, y+55);
                    end
                end
            end
            for i=1,#inventory do
                if i == 10 then
                    invPosX = invPosX + 150
                    invPosY = 200
                end
                love.graphics.print(inventory[i].name.." x "..inventory[i].amount, invPosX, invPosY);
                invPositemMenuPosYY = invPosY + 20
            end
            if showItemActionMenu == true then
                
                if(inventory[itemSelectedPos].defense ~=nil or inventory[itemSelectedPos].attack ~=nil or inventory[itemSelectedPos].specialPercent ~=0) then
                    love.graphics.draw(itemActionsBG2, x+190, y+20)
                else
                    love.graphics.draw(itemActionsBG, x+190, y+20)
                end
                    love.graphics.draw(itemMenuSelector, x+210, itemMenuPosY)
            end
        end
        if mainMenuSelected == 2 then
            menuBackground = menuBG2
            if party[1].equipment[1] ~= nil then
                love.graphics.draw(party[1].equipment[1].image, x+10, y+20)
                love.graphics.setColor(20, 20, 20)
                love.graphics.setFont(smallfont);
                love.graphics.print(party[1].equipment[1].name, x+170, y-75);
            end
        end
        if mainMenuSelected == 3 then
            menuBackground = menuBG3
            love.graphics.draw(charPortrait, x-160, y-90)
            love.graphics.setColor(20, 20, 20)
            love.graphics.setFont(largefont);
            love.graphics.print(party[1].name,x-50, y-80)
            love.graphics.setFont(smallfont);
            love.graphics.print("Type: "..party[1].class,x-50, y-55)
            
        end
    end--showMenu
end


function Menu:keypressed(key,isrepeat)
    if key == "m" then
        if showMenu == false then
            showMenu = true
            showItemActionMenu = false
            mainMenuSelected = 1
            itemMenuSelected = 1
            menuSelectorPosY = getCoordsByPercentY(50) - 137
            itemMenuPosY = getCoordsByPercentY(50)
            itemMenuPosY = itemMenuPosY+12
        else
            showMenu = false
        end
    end
    if showMenu == true and mainMenuSelected == 1 then
        if key == " " then
            if showItemSelector == false then
                showItemSelector = true
                itemSelectorPosX,itemSelectorPosY = getCoordsByPercent(50, 50)
                itemSelectorPosX = itemSelectorPosX - 200
                itemSelectorPosY = itemSelectorPosY - 100
                itemSelectedPos = 1
            else
                --Item selector is true so show the action menu
                if showItemActionMenu == false then
                    showItemActionMenu = true
                    else 
                        showItemActionMenu = false
                        showItemSelector = false
                end
            end
        end
        
        --MAIN MENU--
        end
        if key == "down" and showMenu == true and showItemSelector==false then
            if mainMenuSelected < 6 then
                menuSelectorPosY = menuSelectorPosY + 45
                mainMenuSelected = mainMenuSelected + 1
            end
        end
        if key == "up" and showMenu == true and showItemSelector==false then
            if mainMenuSelected > 1 then
                menuSelectorPosY = menuSelectorPosY - 45
                mainMenuSelected = mainMenuSelected - 1
            end
        end
        --ITEM SELECTOR--
        if showItemSelector == true then
            if key == "down" and showItemSelector == true and showItemActionMenu == false then
            if itemSelectedPos < 11 then
                itemSelectorPosY = itemSelectorPosY + 20
                itemSelectedPos = itemSelectedPos + 1
            end
        end
        if key == "up" and showItemSelector == true and showItemActionMenu == false then
            if itemSelectedPos ~= 1 then
                itemSelectorPosY = itemSelectorPosY - 20
                itemSelectedPos = itemSelectedPos - 1
            end
        end
        if itemSelectorPosY == 220 and itemSelectedPos >11 then
            itemSelectorPosX = itemSelectorPosX - 150
            itemSelectedPos = 11
        end
        if itemSelectorPosY == 400 and itemSelectedPos <11 then
            itemSelectorPosY = itemSelectorPosY - 200
            itemSelectorPosX = itemSelectorPosX + 150
            itemSelectedPos = 11
        end

        if showItemActionMenu == true and key == "down" and itemMenuSelected < 4 then
            itemMenuSelected = itemMenuSelected+1
            itemMenuPosY = itemMenuPosY+24
        end
        if showItemActionMenu == true and key == "up" and itemMenuSelected >1 then
            itemMenuSelected = itemMenuSelected-1
            itemMenuPosY = itemMenuPosY-24
        end
        if showItemActionMenu == true and key == " " then

            if inventory[itemSelectedPos].attack > 0 and inventory[itemSelectedPos].attack ~= nil then
                table.insert(party[1].equipment,1, inventory[itemSelectedPos])
                print(party[1].equipment[1].name)
            end
        end
        
    end--/showMenu
end